[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ThreadSwitch

Signal possibility of thread switch

## Declaration

Source position: threadh.inc line 138

`procedure ThreadSwitch;`

## Description

ThreadSwitch signals the operating system that the thread should be suspended and that another thread should be executed.

This call is a hint only, and may be ignored.

## See also

SuspendThread |  | Suspend a running thread.
ResumeThread |  | Resume a suspended thread.
KillThread |  | Kill a running thread

Documentation generated on: Feb 26 2014